
From: Richard Henderson <rth@twiddle.net>

Eliminates "warning: type qualifiers ignored on function return type".

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/cpuset.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/cpuset.h~small-warning-fix-for-gcc4 include/linux/cpuset.h
--- 25/include/linux/cpuset.h~small-warning-fix-for-gcc4	2005-03-20 16:14:04.000000000 -0800
+++ 25-akpm/include/linux/cpuset.h	2005-03-20 16:14:04.000000000 -0800
@@ -34,7 +34,7 @@ static inline void cpuset_init_smp(void)
 static inline void cpuset_fork(struct task_struct *p) {}
 static inline void cpuset_exit(struct task_struct *p) {}
 
-static inline const cpumask_t cpuset_cpus_allowed(struct task_struct *p)
+static inline cpumask_t cpuset_cpus_allowed(struct task_struct *p)
 {
 	return cpu_possible_map;
 }
_
